BaleCenterEvent = {};
BaleCenterEvent_mt = Class(BaleCenterEvent, Event);

InitEventClass(BaleCenterEvent, "BaleCenterEvent");

function BaleCenterEvent:emptyNew()
    local self = Event:new(BaleCenterEvent_mt);
    self.className="BaleCenterEvent";

    return self;
end;

function BaleCenterEvent:new(vehicle, baleId)
    local self = BaleCenterEvent:emptyNew()
    self.vehicle = vehicle;
	self.baleId = baleId;

    return self;
end;

function BaleCenterEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);

    self.baleId = streamReadInt32(streamId);

    self.vehicle = networkGetObject(id);

    self:run(connection);
end;

function BaleCenterEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));

	streamWriteInt32(streamId, self.baleId);
end;

function BaleCenterEvent:run(connection)
	self.vehicle:setBaleCenter(self.baleId, true);

	if not connection:getIsServer() then
		g_server:broadcastEvent(BaleCenterEvent:new(self.vehicle, self.baleId), nil, connection, self.object);
	end;
end;

function BaleCenterEvent.sendEvent(vehicle, baleId, noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then
			g_server:broadcastEvent(BaleCenterEvent:new(vehicle, baleId), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(BaleCenterEvent:new(vehicle, baleId));
		end;
	end;
end;