BaleLeftEvent = {};
BaleLeftEvent_mt = Class(BaleLeftEvent, Event);

InitEventClass(BaleLeftEvent, "BaleLeftEvent");

function BaleLeftEvent:emptyNew()
    local self = Event:new(BaleLeftEvent_mt);
    self.className="BaleLeftEvent";

    return self;
end;

function BaleLeftEvent:new(vehicle, baleId)
    local self = BaleLeftEvent:emptyNew()
    self.vehicle = vehicle;
	self.baleId = baleId;

    return self;
end;

function BaleLeftEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);

    self.baleId = streamReadInt32(streamId);

    self.vehicle = networkGetObject(id);

    self:run(connection);
end;

function BaleLeftEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));

	streamWriteInt32(streamId, self.baleId);
end;

function BaleLeftEvent:run(connection)
	self.vehicle:setBaleLeft(self.baleId, true);

	if not connection:getIsServer() then
		g_server:broadcastEvent(BaleLeftEvent:new(self.vehicle, self.baleId), nil, connection, self.object);
	end;
end;

function BaleLeftEvent.sendEvent(vehicle, baleId, noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then
			g_server:broadcastEvent(BaleLeftEvent:new(vehicle, baleId), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(BaleLeftEvent:new(vehicle, baleId));
		end;
	end;
end;