BaleRightEvent = {};
BaleRightEvent_mt = Class(BaleRightEvent, Event);

InitEventClass(BaleRightEvent, "BaleRightEvent");

function BaleRightEvent:emptyNew()
    local self = Event:new(BaleRightEvent_mt);
    self.className="BaleRightEvent";

    return self;
end;

function BaleRightEvent:new(vehicle, baleId)
    local self = BaleRightEvent:emptyNew()
    self.vehicle = vehicle;
	self.baleId = baleId;

    return self;
end;

function BaleRightEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);

    self.baleId = streamReadInt32(streamId);

    self.vehicle = networkGetObject(id);

    self:run(connection);
end;

function BaleRightEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));

	streamWriteInt32(streamId, self.baleId);
end;

function BaleRightEvent:run(connection)
	self.vehicle:setBaleRight(self.baleId, true);

	if not connection:getIsServer() then
		g_server:broadcastEvent(BaleRightEvent:new(self.vehicle, self.baleId), nil, connection, self.object);
	end;
end;

function BaleRightEvent.sendEvent(vehicle, baleId, noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then
			g_server:broadcastEvent(BaleRightEvent:new(vehicle, baleId), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(BaleRightEvent:new(vehicle, baleId));
		end;
	end;
end;