BaleTopEvent = {};
BaleTopEvent_mt = Class(BaleTopEvent, Event);

InitEventClass(BaleTopEvent, "BaleTopEvent");

function BaleTopEvent:emptyNew()
    local self = Event:new(BaleTopEvent_mt);
    self.className="BaleTopEvent";

    return self;
end;

function BaleTopEvent:new(vehicle, baleId)
    local self = BaleTopEvent:emptyNew()
    self.vehicle = vehicle;
	self.baleId = baleId;

    return self;
end;

function BaleTopEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);

    self.baleId = streamReadInt32(streamId);

    self.vehicle = networkGetObject(id);

    self:run(connection);
end;

function BaleTopEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));

	streamWriteInt32(streamId, self.baleId);
end;

function BaleTopEvent:run(connection)
	self.vehicle:setBaleTop(self.baleId, true);

	if not connection:getIsServer() then
		g_server:broadcastEvent(BaleTopEvent:new(self.vehicle, self.baleId), nil, connection, self.object);
	end;
end;

function BaleTopEvent.sendEvent(vehicle, baleId, noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then
			g_server:broadcastEvent(BaleTopEvent:new(vehicle, baleId), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(BaleTopEvent:new(vehicle, baleId));
		end;
	end;
end;